[25447] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r24991 - trunk/debathena/debathena/xsession/debian

daemon@ATHENA.MIT.EDU (Jonathan D Reed)
Tue Mar 1 14:35:41 2011

Date: Tue, 1 Mar 2011 14:35:36 -0500
From: Jonathan D Reed <jdreed@MIT.EDU>
Message-Id: <201103011935.p21JZaFW025549@drugstore.mit.edu>
To: source-commits@mit.edu
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: jdreed
Date: 2011-03-01 14:35:35 -0500 (Tue, 01 Mar 2011)
New Revision: 24991

Modified:
   trunk/debathena/debathena/xsession/debian/debathena-check-afs.sh
Log:
Make the test in check-afs.sh more robust

Modified: trunk/debathena/debathena/xsession/debian/debathena-check-afs.sh
===================================================================
--- trunk/debathena/debathena/xsession/debian/debathena-check-afs.sh	2011-03-01 19:04:14 UTC (rev 24990)
+++ trunk/debathena/debathena/xsession/debian/debathena-check-afs.sh	2011-03-01 19:35:35 UTC (rev 24991)
@@ -1,5 +1,5 @@
 if [ "$DEBATHENA_HOME_TYPE" = "afs" ]; then
-    if [ ! -d $HOME ]; then
+    if ! [ -d "$HOME" ]; then
 	zenity --warning --text="Your AFS home directory appears to be unavailable, and this login session cannot continue.\n\nThis could be due to an AFS outage, a network problem, or an issue with this specific workstation.  We recommend you try another workstation, or a different cluster.\n\nIf the problem appears to only be on this workstation, please notify hotline@mit.edu and mention this machine's hostname ($(hostname -f)).  If the problem persists on multiple workstations, please contact the IS&amp;T Helpdesk (helpdesk@mit.edu or x3-1101)."
 	exit 0
     fi


home help back first fref pref prev next nref lref last post